package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ClienteCorporativo;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ClienteCorporativoService{

	  public List<ClienteCorporativo> obtenerTodos();

	    public ClienteCorporativo obtenerID(Long id);

	    public ClienteCorporativo suscribirActualizar(ClienteCorporativo entidad) throws BusinessException;

	    public void borrar(ClienteCorporativo entidad);
	    
	    public ClienteCorporativo existe(Integer classe, Integer alias, Integer orgaoConcedente, Integer aliasClasseId);
	    
	    public List<ClienteCorporativo> buscar(Integer classe,Integer alias,Integer orgaoConcedente);

		public List<ClienteCorporativo> buscaLike(String strClienteCorporativo);
}
